[arch-commits] Commit in rclone/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Mon Mar 20 09:30:56 UTC 2017


    Date: Monday, March 20, 2017 @ 09:30:55
  Author: felixonmars
Revision: 217529

upgpkg: rclone 1.36-1

Modified:
  rclone/trunk/PKGBUILD

----------+
 PKGBUILD |   25 ++++++++++---------------
 1 file changed, 10 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2017-03-20 09:28:29 UTC (rev 217528)
+++ PKGBUILD	2017-03-20 09:30:55 UTC (rev 217529)
@@ -2,7 +2,7 @@
 # Maintainer: Felix Yan <felixonmars at archlinux.org>
 
 pkgname=rclone
-pkgver=1.35
+pkgver=1.36
 pkgrel=1
 pkgdesc="Sync files to and from Google Drive, S3, Swift, Cloudfiles, Dropbox and Google Cloud Storage"
 arch=('i686' 'x86_64')
@@ -9,12 +9,12 @@
 url="http://rclone.org/"
 license=('MIT')
 depends=('glibc')
-makedepends=('git' 'python2' 'pandoc' 'go')
-source=("git+https://github.com/ncw/rclone.git#tag=v$pkgver")
+makedepends=('python2' 'pandoc' 'go')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/ncw/rclone/archive/v$pkgver.tar.gz")
 md5sums=('SKIP')
 
 prepare() {
-  cd rclone
+  cd rclone-$pkgver
 
   sed -i "1s/python$/&2/" bin/make_manual.py
 
@@ -22,28 +22,23 @@
   ln -sf "$PWD" .gopath/src/github.com/ncw/rclone
   export GOPATH="$PWD/.gopath"
 
-  go get github.com/go-ini/ini github.com/jmespath/go-jmespath
   go get github.com/ncw/rclone
 }
 
 build() {
-  cd rclone
+  cd rclone-$pkgver/.gopath/src/github.com/ncw/rclone
 
-  go build # -gccgoflags "$CFLAGS $LDFLAGS"
-  PATH="$GOPATH/bin:$PATH" make doc
+  PATH="$GOPATH/bin:$PATH" make TAG=v$pkgver rclone doc
 }
 
 check() {
-  cd rclone
-
-  mkdir -p "$GOPATH/src/_/build/rclone/src"
-  ln -s "$srcdir/rclone" "$GOPATH/src/_/build/rclone/src/rclone"
-  make test || warning "Tests failed"
+  cd rclone-$pkgver/.gopath/src/github.com/ncw/rclone
+  make TAG=v$pkgver test || warning "Tests failed"
 }
 
 package() {
-  cd rclone
-  make DESTDIR="$pkgdir" install
+  cd rclone-$pkgver/.gopath/src/github.com/ncw/rclone
+  make TAG=v$pkgver DESTDIR="$pkgdir" install
 
   install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
 


More information about the arch-commits mailing list